package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2019/5/20
 */
public class TeacherAllotReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "homeworkId", value = "作业id", required = true)
    private String homeworkId;
    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;
    @ApiModelProperty(name="originTeacherId",value = "原作业老师id",required = true)
    private  String originTeacherId;
    @ApiModelProperty(name="type",value = "老师类型（8:批改老师；13：匹配知识点老师）",required = true)
    private  int type;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getOriginTeacherId() {
        return originTeacherId;
    }

    public void setOriginTeacherId(String originTeacherId) {
        this.originTeacherId = originTeacherId;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }
}
